#!/usr/bin/python3

import subprocess
import sys
import yaml


y = yaml.safe_load(subprocess.check_output(
    ['juju', 'status', '--format=yaml']))

u = list(y['applications']['vault']['units'].keys())[0]

check_command = [
    'juju', 'run',
    '--unit', u,
    '/snap/bin/vault status -tls-skip-verify -address https://127.0.0.1:8200/',
]

rc = subprocess.call(check_command)
if rc in [0, 2]:
    print('Vault is up and {}sealed.'.format(rc == 0 and "un" or ""))
    sys.exit(0)

print('Vault is not up, or something else went wrong!')
sys.exit(1)
