Tests for python managers
===

These are tests for `container_managers.py`, `cache_managers.py`
and some functions in `mojo_utils.py`.

Setup
---

### A test container

Tests for `container_managers.py` require a test container to be setup with objects named as follows:

- latest-build-label
- deployed-build-label
- deployed-spec-revno
- code-upgrade-test-build-label-01-test-build-label-02-succeeded
- mojo-run-155-succeeded

This container should be openly readable:

``` bash
swift post --read-acl .r:* ${TEST_CONTAINER_NAME}
```

You should then set the URL for this container in the environment variable `TEST_CONTAINER_URL`:

``` bash
export TEST_CONTAINER_URL=$(swift stat -v ${TEST_CONTAINER_NAME} | egrep -o 'http.*$')
```

### A local swift account

You also need to make the credentials for connecting to a swift account available with `OS_*` environment variables:

``` bash
export OS_USERNAME=${USERNAME}
export OS_TENANT_NAME=${TENANT_NAME}
export OS_PASSWORD=${PASSWORD}
export OS_STORAGE_URL=${OPTIONAL_STORAGE_URL}
export OS_AUTH_URL=${AUTH_URL}
export OS_REGION_NAME=${REGION_NAME}
```

### PYTHONPATH

You also need to add the parent directory to your python path to run the tests:

``` bash
export PYTHONPATH=..
```

Running the tests
---

You can either run the tests with native python:

``` bash
./run_tests.py
```

Or with `pytest`:

``` bash
py.test
```

